simpleState.h File Reference
`#include "osl/basic_type.h"`
`#include "osl/bits/ptypeTable.h"`
`#include "osl/bits/boardTable.h"`
`#include "osl/bits/ptypeTraits.h"`
`#include "osl/bits/pieceMask.h"`
`#include "osl/bits/bitXmask.h"`
`#include "osl/bits/effectContent.h"`
`#include "osl/container.h"`
`#include <iosfwd>`

Go to the source code of this file.

## Classes

class | osl::SimpleState

## Namespaces

namespace | osl

## Enumerations

enum | osl::Handicap { osl::HIRATE }

## Functions

std::ostream & | osl::operator<< (std::ostream &os, const SimpleState &state)
bool | osl::operator== (const SimpleState &st1, const SimpleState &st2)
| 盤上の駒のみを比較する（持ち駒は見ない）.